# Example projects containerizing with Jib

Please [file an issue](/../../issues/new) if you find any problems with the examples or would like to request other examples.

For examples on using Jib Core, see [jib-core/examples](../jib-core/examples).

### Simple example

See [helloworld](helloworld) for containerizing a simple `Hello World` application.

### Multi-module example (DRAFT)

See [multi-module](multi-module) for containerizing projects with multiple modules.

### Vert.x

See [vertx](vertx) for containerizing [Eclipse Vert.x](https://vertx.io/) applications.

### Spring Boot example

See [spring-boot](spring-boot) for containerizing a [Spring Boot](https://spring.io/projects/spring-boot) application and running it on [Kubernetes](https://kubernetes.io).

### Ktor example

See [ktor](ktor) for containerizing a [Ktor](https://ktor.io) Kotlin Application using the Kotlin Gradle DSL.

### Dropwizard example

See [dropwizard](dropwizard) for containerizing [Dropwizard](https://dropwizard.io) applications.

### Micronaut example

See [micronaut](micronaut) for containerizing a [Micronaut framework](https://micronaut.io/) Groovy/Java application.

### Java agents example

See [java-agent](java-agent) for launching with the Stackdriver Debugger Java agent.

### Kafka Connect+Streams example

See the following projects for using Jib-packaged applications in coordination with [Apache Kafka](http://kafka.apache.org/documentation).
  - [Kakfa Streams](http://kafka.apache.org/documentation/streams) - [`OneCricketeer/kafka-streams-jib-example`](https://github.com/OneCricketeer/kafka-streams-jib-example)
  - [Kafka Connect](http://kafka.apache.org/documentation#connect) - [`OneCricketeer/apache-kafka-connect-docker`](https://github.com/OneCricketeer/apache-kafka-connect-docker)
